eID middleware |

# be.portugal.eid.PTEID_Crypto Class Reference

Base class for the cryptographic documents. More...

Inheritance diagram for be.portugal.eid.PTEID_Crypto:

List of all members.

## Public Member Functions
synchronized void | delete ()
## Protected Member Functions
| PTEID_Crypto (long cPtr, boolean cMemoryOwn)
void | finalize ()
## Static Protected Member Functions
static long | getCPtr (PTEID_Crypto obj)

## Detailed Description

Base class for the cryptographic documents.

## Constructor & Destructor Documentation

be.portugal.eid.PTEID_Crypto.PTEID_Crypto | ( | long | cPtr,
|  | boolean | cMemoryOwn |
| ) |  |  | `[protected]`

## Member Function Documentation

synchronized void be.portugal.eid.PTEID_Crypto.delete | ( |  | ) |

Reimplemented from be.portugal.eid.PTEID_XMLDoc.

Reimplemented in be.portugal.eid.PTEID_Certificate, be.portugal.eid.PTEID_Certificates, be.portugal.eid.PTEID_Pin, and be.portugal.eid.PTEID_Pins.

References be.portugal.eid.PTEID_Object.swigCMemOwn.

void be.portugal.eid.PTEID_Crypto.finalize | ( |  | ) | `[protected]`

Reimplemented from be.portugal.eid.PTEID_XMLDoc.

Reimplemented in be.portugal.eid.PTEID_Certificate, be.portugal.eid.PTEID_Certificates, be.portugal.eid.PTEID_Pin, and be.portugal.eid.PTEID_Pins.

static long be.portugal.eid.PTEID_Crypto.getCPtr | ( | PTEID_Crypto | obj | ) | `[static, protected]`

References be.portugal.eid.PTEID_Crypto.swigCPtr.